Package org.apache.batchee.extras.chain

## Class Chain<T>

- java.lang.Object
- - org.apache.batchee.extras.chain.Chain<T>

- Direct Known Subclasses:
    `CamelChainItemProcessor`, `ChainBatchlet`, `ChainProcessor`

      public abstract class Chain<T>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `chain` |
    `protected String` | `forceRelease` |
    `protected String` | `locator` |
    `protected String` | `separator` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Chain()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Class<T>` | `findType()` |
    `protected BeanLocator` | `getBeanLocator()` |
    `protected abstract Object` | `invoke​(BeanLocator.LocatorInstance<T> next, Object current)` |
    `Object` | `runChain​(Object item)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### locator

          @Inject
          protected String locator

    - #### chain

          @Inject
          protected String chain

    - #### separator

          @Inject
          protected String separator

    - #### forceRelease

          @Inject
          protected String forceRelease

  - ### Constructor Detail

    - #### Chain

          public Chain()

  - ### Method Detail

    - #### runChain

          public Object runChain​(Object item)
                          throws Exception

      Throws:
        `Exception`

    - #### getBeanLocator

          protected BeanLocator getBeanLocator()

    - #### findType

          protected Class<T> findType()

    - #### invoke

          protected abstract Object invoke​(BeanLocator.LocatorInstance<T> next,
                                           Object current)
                                    throws Exception

      Throws:
        `Exception`